curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
}
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch"
payload = {
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
}
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUserId: 1, authentication: {userId: 1, credential: 'changeme'}})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetUserId' => 1,
'authentication' => [
'userId' => 1,
'credential' => 'changeme'
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch"
payload := strings.NewReader("{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}"
response = http.request(request)
puts response.read_body{
"authorizationCode": "<string>"
}{
"fieldErrors": [
{
"field": "user",
"code": "invalid-input-error",
"code_v2": "invalid-input-error",
"message": "Value is not supported",
"rejectedValue": "5"
}
],
"operationErrors": [
{
"code": "group-not-found",
"message": "Group Not Found"
}
]
}{
"operationErrors": [
{
"code": "authentication-required",
"message": "Full authentication required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Returns a user's switch authorization code
Sends a request for an authorization code required to obtain an access token that belongs to another user in a group. This “other user” is identified by targetUserId in the request body. The authentication object contains information about the “authorizing user”. An “authorizing user” can be either the target user or an user with group admin privileges.
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
}
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch"
payload = {
"targetUserId": 1,
"authentication": {
"userId": 1,
"credential": "changeme"
}
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUserId: 1, authentication: {userId: 1, credential: 'changeme'}})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'targetUserId' => 1,
'authentication' => [
'userId' => 1,
'credential' => 'changeme'
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch"
payload := strings.NewReader("{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/authorizeSwitch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"targetUserId\": 1,\n \"authentication\": {\n \"userId\": 1,\n \"credential\": \"changeme\"\n }\n}"
response = http.request(request)
puts response.read_body{
"authorizationCode": "<string>"
}{
"fieldErrors": [
{
"field": "user",
"code": "invalid-input-error",
"code_v2": "invalid-input-error",
"message": "Value is not supported",
"rejectedValue": "5"
}
],
"operationErrors": [
{
"code": "group-not-found",
"message": "Group Not Found"
}
]
}{
"operationErrors": [
{
"code": "authentication-required",
"message": "Full authentication required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Authorizations
Path Parameters
The unique ID number of the group
Body
The switch authorization request contains the required information for a user to request an authorization code for obtaining an access token that belongs to another user in a group. This "other user" is identified by targetUserId. The authentication object contains information about the "authorizing user". An "authorizing user" can be either the target user or an user with group admin privileges.
Response
OK

